Skip to main content
POST
Create site on a load balancer

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Scopes

site:create

Allow members to create sites

Path Parameters

organization
string
required

The organization slug

server
integer
required

The server ID

Body

application/json
domain
string
required
allow_wildcard_subdomains
boolean
balancer_method
enum<string>
Available options:
round_robin,
least_conn,
ip_hash
balancer_keepalive_max_connections
integer
Required range: 0 <= x <= 256
balancing
object[]
Minimum array length: 1

Response

SiteResource

data
SiteResource · object
required
included
(ServerResource · object | TagResource · object | DeploymentResource · object | SecurityRuleResource · object | RedirectRuleResource · object)[]